version: '3'
services:
  traefik:
    image: traefik:{{ traefik_image_version }}
    container_name: traefik
    restart: unless-stopped
    security_opt:
      - no-new-privileges:true
    ports:
      - 80:80
      - 443:443 
    volumes:
      - /etc/localtime:/etc/localtime:ro
      - /var/run/docker.sock:/var/run/docker.sock:ro
      - {{ traefik_home_dir }}/traefik.toml:/traefik.toml:ro
      - {{ traefik_home_dir }}/traefik_dynamic.toml:/traefik_dynamic.toml:ro
      - {{ traefik_home_dir }}/acme.json:/acme.json
    networks:
      - network

networks:
  network:
    name: traefik_network
    driver: bridge
